{% extends 'base.html' %}
{% load markdownify %}


{% block content %}
<main class="plan-detail">
    <div>
      <a href="{% url 'meal_plan_edit' mealplan.id %}">Edit</a>
      <a href="{% url 'meal_plan_delete' mealplan.id %}">Delete</a>
    </div>
    <h1>{{ mealplan.name }}</h1>
    <h2>by: {{ mealplan.owner | default_if_none:"Unknown" }}
    <h2>next meal: {{ mealplan.date | default_if_none:"No date" }}

    <p>Included recipes: {% for recipe in mealplan.recipes.all %}{{ recipe.name }},  {% endfor %}</p>
  </main>
{% endblock content %}